/*******************************************************************/
/*                                                                 */
/*   COMMON header file for graphics use                           */
/*          g_head.h                                               */
/*                                                                 */
/*      Version:  1.00  2007-11-04                                 */
/*                                                                 */
/*******************************************************************/
#ifndef _G_HEAD_
#define _G_HEAD_
#include <stdio.h>

/* #define USE_GNUPLOT */   /* use of GNUPLOT (default is use of PGPLOT)*/
#ifndef USE_GNUPLOT
// #define USE_GNUPLOT
#endif

#define PLOTPARAM plt_param

/**********************/
/*  for PGPLOT        */
/**********************/

/* set environmental variable for PGPLOT */
#ifndef PGDISP
  #define PGDISP "PGDISP"    /* PGPLOT display device environment */
#endif

/*  graphic display device default set for PGPLOT*/
#ifndef PGDISP_DFLT
  #ifdef WIN32
    #define PGDISP_DFLT "/GW"      
  #else
    #define PGDISP_DFLT "/XTERM"
  #endif
#endif

/* include header for PGPLOT set */
#ifndef USE_GNUPLOT   
  #include <cpgplot.h>
#endif

/**********************/
/*  for GNUPLOT       */
/**********************/

/*  graphic display device default set for GNUPLOT */
#ifndef G_DISPLAY
  #ifdef WIN32
    #define G_DISPLAY "windows"
  #else
    #define G_DISPLAY "x11"
  #endif
#endif

/*  execution command set for GNUPLOT */
#ifndef GNUPLOT_EXE
  #ifdef WIN32
    //#define GNUPLOT_EXE "pgnuplot.exe -persist"
    #define GNUPLOT_EXE "pgnuplot.exe"
  #else
    #define GNUPLOT_EXE "gnuplot -persist"
  #endif
#endif

/* device name for POSTSCRIPT out set */
#ifndef G_PS_DEVICE
   #define G_PS_DEVICE "/CPS"
#endif

/**********************************/
/* common for PGPLOT and GNUPLOT  */
/**********************************/

/* POSTSCRIPT out file name set */
#ifndef PS_OUT_FILE
  #ifdef USE_GNUPLOT   
    #define PS_OUT_FILE "gnuplot.ps"
  #else
    #define PS_OUT_FILE "pgplot.ps"
  #endif
#endif


typedef struct plot_parameter
{
    char g_device[30];  /* current graphic device name */
    char g_display[30];  /* graphic device name for display */ 
    char g_ps_device[30]; /* graphic device name for POSTSCRIPT */ 
    char ps_fname[128]; /* Postscript out file name */
    char ftemp[20][64]; /* temorary file name */
    int lt; /* line type */
    int pt; /* point type */
    int tempc; /* counter for temporary use */
    int ntemp; /* number of temporary file used shoud be <= 20 */
    FILE *gp;   /* for GNUPLOT */
    FILE *fo;   /* for GNUPLOT too */
} plot_parameter_t;

plot_parameter_t PLOTPARAM;
/* extern plot_parameter_t PLOTPARAM; */ 


#endif
